<div class='presentation-slider' {{did-insert this.setupFirstPage}} ...attributes>
  {{#if @presentation.hasIntro}}
    <Slides::WelcomeIntro class='page {{if (eq this.selectedPage -1) "current"}}' @picture={{@presentation.cover}} @title={{@presentation.name}} @isCurrent={{eq this.selectedPage -1}} @timeout={{@presentation.introTimeout}} @onReady={{this.nextPage}} />
  {{/if}}

  <div class='presentation-content'>
    {{#each this.containers as |container rowIndex|}}
      <div class='page content-page content-page-{{rowIndex}} {{if (eq rowIndex this.selectedPage) "current"}}'>
        <Layout @containers={{container}} @cols={{this.cols}} as |layoutCol|>
          <View::Selector @layoutCol={{layoutCol}} @cols={{this.cols}} as |col|>
            <View::Slot @model={{@model}} @value={{col}} />
          </View::Selector>
        </Layout>
      </div>
    {{/each}}
  </div>

  {{#if @presentation.hasEnd}}
    <Slides::WelcomeEnd class='page {{if (eq this.selectedPage this.rowCount) "current"}}' @timeout={{@presentation.introTimeout}} @options={{@presentation.endSlideOptions}} @onReady={{this.nextPage}} @onPrevPage={{this.prevPage}} />
  {{/if}}

  <div class='controls justify-content-between {{if (eq this.selectedPage this.rowCount) "d-none"}} {{if (eq this.selectedPage -1) "d-none"}}'>
    <button class='btn-prev btn btn-light' type='button' {{on 'click' this.prevPage}}>
      <FaIcon @icon='angle-left' />
    </button>

    {{#if this.cols}}
      <div class='presentation-label'>
        {{t 'pagination-label' current=this.currentLabel total=this.rowCount}}
      </div>
    {{/if}}

    <button class='btn-next btn btn-light' type='button' {{on 'click' this.nextPage}}>
      <FaIcon @icon='angle-right' />
    </button>
  </div>
</div>